import java.awt.*;

public class DrawingPorthole {

    private Porthole PortholeCount;

    Color color;

    public void Init(int count, Color bodyColor) {
        if(count <= 10) PortholeCount = Porthole.Ten;
        else if(count >= 30) PortholeCount = Porthole.Twenty;
        else PortholeCount = Porthole.Thirty;
        color = bodyColor;

    }

    public void draw(Graphics2D g, int startPosX, int startPosY) {
        g.setPaint(Color.white);
        int count = 0;
        int i = -1;
        int j = 0;
        while(true)
        {
            if(i==15) {
                i = 0;
                j=30;
            }
            else   i++;
            if(PortholeCount == Porthole.Ten && count==10) break;
            else if(PortholeCount == Porthole.Twenty && count==20) break;
            else if(PortholeCount == Porthole.Thirty && count==30) break;
            g.drawOval(startPosX+i*12 , startPosY + j, 10, 10);
            g.fillOval(startPosX+i*12, startPosY + j, 10, 10);
            count++;
        }



    }
}
